Categories:
  - Development
License: MIT
AuthorName: Foxdebug (Ajit Kumar)
AuthorEmail: dellevenjack@gmail.com
WebSite: https://acode.foxdebug.com/
SourceCode: https://github.com/deadlyjack/Acode
IssueTracker: https://github.com/deadlyjack/Acode/issues
Changelog: https://github.com/deadlyjack/Acode/blob/HEAD/CHANGELOG.md

AutoName: Acode

RepoType: git
Repo: https://github.com/deadlyjack/Acode.git

Builds:
  - versionName: 1.2.143
    versionCode: 143
    commit: 1.2.43
    sudo:
      - sysctl fs.inotify.max_user_watches=524288
      - curl -Lo node.tar.xz https://nodejs.org/dist/v10.18.1/node-v10.18.1-linux-x64.tar.xz
      - echo "8cc40f45c2c62529b15e83a6bbe0ac1febf57af3c5720df68067c96c0fddbbdf node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v10.18.1-linux-x64/. /usr/local/
      - npm install -g npm@latest
      - npm install -g cordova
    output: platforms/android/app/build/outputs/apk/release/app-release-unsigned.apk
    srclibs:
      - ftp4j@86
    rm:
      - .gradle
      - test
    prebuild:
      - sed -i -e '/ajax({/,+18d' src/lib/main.js
      - npm install
      - ./node_modules/.bin/webpack
      - cordova platform add android
      - cd platforms/android/app
      - sed -i -e '/SUB-PROJECT DEPENDENCIES END/a implementation "commons-io:commons-io:2.7"'
        build.gradle
      - sed -i -e '/SUB-PROJECT DEPENDENCIES END/a implementation "commons-codec:commons-codec:1.15"'
        build.gradle
      - sed -i -e '/signingConfig signingConfigs.release/d' build.gradle
    scandelete:
      - node_modules
      - platforms/android
      - plugins
    build:
      - pushd $$ftp4j$$/tags/1.7.2
      - sed -i -e 's/else="rv\${revision}"/else="1.7.2"/' build.xml
      - ant jar
      - popd
      - cp $$ftp4j$$/tags/1.7.2/ftp4j-1.7.2.jar platforms/android/app/libs/
      - cd platforms/android/app
      - gradle assembleRelease

  - versionName: 1.3.155
    versionCode: 155
    commit: v1.3.155
    sudo:
      - sysctl fs.inotify.max_user_watches=524288
      - curl -Lo node.tar.xz https://nodejs.org/dist/v14.17.6/node-v14.17.6-linux-x64.tar.xz
      - echo "3bbe4faf356738d88b45be222bf5e858330541ff16bd0d4cfad36540c331461b node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz --strip-components=1 -C /usr/local/
      - npm install -g npm@latest
      - npm install -g cordova
    output: platforms/android/app/build/outputs/apk/release/app-release-unsigned.apk
    srclibs:
      - ftp4j@86
    rm:
      - test
    prebuild:
      - sed -i -e '/ajax({/,/^    });/d' src/lib/main.js
      - npm install
      - ./node_modules/.bin/webpack
      - cordova platform add android
      - sed -i -e '/signingConfig signingConfigs.release/d' -e '/gms/d' -e '/core-google-shortcuts/d'
        platforms/android/app/build.gradle
    scandelete:
      - src/plugins
      - platforms/android
      - plugins
    build:
      - pushd $$ftp4j$$/tags/1.7.2
      - sed -i -e 's/else="rv\${revision}"/else="1.7.2"/' build.xml
      - ant jar
      - popd
      - cp $$ftp4j$$/tags/1.7.2/ftp4j-1.7.2.jar platforms/android/app/libs/
      - cd platforms/android/app
      - gradle assembleRelease

  - versionName: 1.4.159
    versionCode: 159
    commit: e28d14ce8f1b4193b940c83b2ebd3552ebcba564
    sudo:
      - sysctl fs.inotify.max_user_watches=524288
      - curl -Lo node.tar.xz https://nodejs.org/dist/v14.17.6/node-v14.17.6-linux-x64.tar.xz
      - echo "3bbe4faf356738d88b45be222bf5e858330541ff16bd0d4cfad36540c331461b node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz --strip-components=1 -C /usr/local/
      - npm install -g npm@latest
      - npm install -g cordova
    output: platforms/android/app/build/outputs/apk/release/app-release-unsigned.apk
    srclibs:
      - ftp4j@86
    rm:
      - test
    prebuild:
      - sed -i -e '/const promotion/,/^  });/d' src/lib/main.js
      - npm install
      - ./node_modules/.bin/webpack
      - cordova platform add android
      - sed -i -e '/signingConfig signingConfigs.release/d' -e '/gms/d' -e '/core-google-shortcuts/d'
        platforms/android/app/build.gradle
    scandelete:
      - src/plugins
      - platforms/android
      - plugins
    build:
      - pushd $$ftp4j$$/tags/1.7.2
      - sed -i -e 's/else="rv\${revision}"/else="1.7.2"/' build.xml
      - ant jar
      - popd
      - cp $$ftp4j$$/tags/1.7.2/ftp4j-1.7.2.jar platforms/android/app/libs/
      - cd platforms/android/app
      - gradle assembleRelease

  - versionName: 1.4.164
    versionCode: 164
    commit: 13b0e95a392fad3d23533975ff9e72a66e82c50d
    sudo:
      - sysctl fs.inotify.max_user_watches=524288
      - curl -Lo node.tar.xz https://nodejs.org/dist/v14.17.6/node-v14.17.6-linux-x64.tar.xz
      - echo "3bbe4faf356738d88b45be222bf5e858330541ff16bd0d4cfad36540c331461b node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz --strip-components=1 -C /usr/local/
      - npm install -g npm@latest
      - npm install -g cordova
    output: platforms/android/app/build/outputs/apk/release/app-release-unsigned.apk
    srclibs:
      - ftp4j@86
    rm:
      - test
    prebuild:
      - sed -i -e '/const promotion/,/^  });/d' src/lib/main.js
      - sed -i -e 's/acodefree/acode/' utils/config.js
      - npm install
      - ./node_modules/.bin/webpack
      - cordova platform add android
      - sed -i -e '/signingConfig signingConfigs.release/d' -e '/gms/d' -e '/core-google-shortcuts/d'
        platforms/android/app/build.gradle
    scandelete:
      - src/plugins
      - platforms/android
      - plugins
    build:
      - pushd $$ftp4j$$/tags/1.7.2
      - sed -i -e 's/else="rv\${revision}"/else="1.7.2"/' build.xml
      - ant jar
      - popd
      - cp $$ftp4j$$/tags/1.7.2/ftp4j-1.7.2.jar platforms/android/app/libs/
      - cd platforms/android/app
      - gradle assembleRelease

  - versionName: 1.6.0
    versionCode: 212
    commit: 1b8950cac7b3e381cef2d1a0ffcb6dd47009db69
    sudo:
      - sysctl fs.inotify.max_user_watches=524288 || true
      - curl -Lo node.tar.xz https://nodejs.org/dist/v14.17.6/node-v14.17.6-linux-x64.tar.xz
      - echo "3bbe4faf356738d88b45be222bf5e858330541ff16bd0d4cfad36540c331461b node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz --strip-components=1 -C /usr/local/
      - npm install -g npm@latest
      - npm install -g cordova yarn
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: platforms/android/app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - test
      - src/pages/donate
      - src/plugins/iap
    prebuild:
      - sed -i -e 's/webserver/server/' package.json
      - sed -i -e '/iap/d' package.json src/lib/main.js
      - sed -i -e '/Donate/d' src/settings/mainSettings.js
      - sed -i -e 's/acodefree/acode/' utils/config.js
      - sed -i -e 's/build/prepare/' utils/scripts/build.sh
      - sed -i -e '/core-google-shortcuts/d' src/plugins/system/plugin.xml
      - rm -rf node_modules/cordova-android/framework/cordova-publish.gradle
      - yarn setup
      - cordova platform add android
      - rm node_modules/cordova-android/framework/cordova-publish.gradle
      - yarn build android free p
      - JAVA_HOME=/usr/lib/jvm/java-8-openjdk-amd64 $$SDK$$/tools/bin/sdkmanager 'build-tools;31.0.0'
        'build-tools;30.0.3' > /dev/null
      - cp $$SDK$$/build-tools/30.0.3/lib/dx.jar $$SDK$$/build-tools/31.0.0/lib/dx.jar
      - cp $$SDK$$/build-tools/30.0.3/dx $$SDK$$/build-tools/31.0.0/dx
    build: JAVA_HOME=/usr/lib/jvm/java-11-openjdk-amd64 cordova compile android --release
      -- --packageType=apk

  - versionName: 1.6.0
    versionCode: 231
    commit: 5525e1c4a32869cc1cfb8737558b346a8210a57f
    sudo:
      - sysctl fs.inotify.max_user_watches=524288 || true
      - curl -Lo node.tar.xz https://nodejs.org/dist/v14.17.6/node-v14.17.6-linux-x64.tar.xz
      - echo "3bbe4faf356738d88b45be222bf5e858330541ff16bd0d4cfad36540c331461b node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz --strip-components=1 -C /usr/local/
      - npm install -g npm@latest
      - npm install -g cordova yarn
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: platforms/android/app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - test
      - src/pages/donate
      - src/plugins/iap
    prebuild:
      - sed -i -e 's/webserver/server/' package.json
      - sed -i -e '/iap/d' package.json src/lib/main.js
      - sed -i -e '/Donate/d' src/settings/mainSettings.js
      - sed -i -e 's/acodefree/acode/' utils/config.js
      - sed -i -e 's/build/prepare/' utils/scripts/build.sh
      - sed -i -e '/core-google-shortcuts/d' src/plugins/system/plugin.xml
      - rm -rf node_modules/cordova-android/framework/cordova-publish.gradle
      - yarn setup
      - cordova platform add android
      - rm node_modules/cordova-android/framework/cordova-publish.gradle
      - yarn build android free p
      - JAVA_HOME=/usr/lib/jvm/java-8-openjdk-amd64 $$SDK$$/tools/bin/sdkmanager 'build-tools;31.0.0'
        'build-tools;30.0.3' > /dev/null
      - cp $$SDK$$/build-tools/30.0.3/lib/dx.jar $$SDK$$/build-tools/31.0.0/lib/dx.jar
      - cp $$SDK$$/build-tools/30.0.3/dx $$SDK$$/build-tools/31.0.0/dx
    build: JAVA_HOME=/usr/lib/jvm/java-11-openjdk-amd64 cordova compile android --release
      -- --packageType=apk

  - versionName: 1.8.0
    versionCode: 272
    commit: 503390d836c23744d1c062d4dcde405565fc806c
    sudo:
      - sysctl fs.inotify.max_user_watches=524288 || true
      - chmod -R 777 /opt/android-sdk
      - curl -Lo node.tar.gz https://nodejs.org/dist/v18.15.0/node-v18.15.0-linux-x64.tar.gz
      - echo "b298a73a9fc07badfa9e4a2e86ed48824fc9201327cdc43e3f3f58b273c535e7 node.tar.gz"
        | sha256sum -c -
      - tar xzf node.tar.gz --strip-components=1 -C /usr/local/
      - npm install -g npm@latest
      - npm install -g cordova yarn
    output: platforms/android/app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - test
      - src/pages/donate
      - src/plugins/iap
    prebuild:
      - sed -i -e '/iap/d' package.json
      - sed -i -e '/iap.startConnection/,/Purchase error/c} catch (e) {' src/lib/main.js
      - sed -i -e '/Donate/d' src/settings/mainSettings.js
      - sed -i -e 's/acodefree/acode/' utils/config.js
      - sed -i -e 's/build/prepare/' utils/scripts/build.sh
      - sed -i -e '/core-google-shortcuts/d' src/plugins/system/plugin.xml
      - rm -rf node_modules/cordova-android/framework/cordova-publish.gradle
      - yarn setup
      - cordova platform add android
      - rm node_modules/cordova-android/framework/cordova-publish.gradle
      - yarn build android free p
      - sdkmanager 'build-tools;31.0.0' 'build-tools;30.0.3'
      - cp $$SDK$$/build-tools/30.0.3/lib/dx.jar $$SDK$$/build-tools/31.0.0/lib/dx.jar
      - cp $$SDK$$/build-tools/30.0.3/dx $$SDK$$/build-tools/31.0.0/dx
    scandelete:
      - node_modules/jszip/.jekyll-metadata
    build: cordova compile android --release -- --packageType=apk

  - versionName: 1.8.4
    versionCode: 290
    commit: c471ab9764548f772d38700f7f2098aa75092402
    sudo:
      - sysctl fs.inotify.max_user_watches=524288 || true
      - chmod -R 777 /opt/android-sdk
      - curl -Lo node.tar.gz https://nodejs.org/dist/v18.15.0/node-v18.15.0-linux-x64.tar.gz
      - echo "b298a73a9fc07badfa9e4a2e86ed48824fc9201327cdc43e3f3f58b273c535e7 node.tar.gz"
        | sha256sum -c -
      - tar xzf node.tar.gz --strip-components=1 -C /usr/local/
      - npm install -g npm@latest
      - npm install -g cordova yarn
    output: platforms/android/app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - test
      - src/pages/donate
      - src/plugins/iap
    prebuild:
      - sed -i -e '/iap/d' package.json
      - sed -i -e '/iap.startConnection/,/Purchase error/c} catch (e) {' src/lib/main.js
      - sed -i -e '/Donate/d' src/settings/mainSettings.js
      - sed -i -e 's/acodefree/acode/' utils/config.js
      - sed -i -e 's/build/prepare/' utils/scripts/build.sh
      - sed -i -e '/core-google-shortcuts/d' src/plugins/system/plugin.xml
      - yarn setup
      - cordova plugin add cordova-plugin-file
      - cordova platform add android
      - rm node_modules/cordova-android/framework/cordova-publish.gradle
      - yarn build android free p
      - sdkmanager 'build-tools;31.0.0' 'build-tools;30.0.3'
      - cp $$SDK$$/build-tools/30.0.3/lib/dx.jar $$SDK$$/build-tools/31.0.0/lib/dx.jar
      - cp $$SDK$$/build-tools/30.0.3/dx $$SDK$$/build-tools/31.0.0/dx
    scandelete:
      - node_modules/jszip/.jekyll-metadata
    build: cordova compile android --release -- --packageType=apk

  - versionName: 1.8.5
    versionCode: 292
    commit: 8d43f2a9548a82f51ffb56b0d6c59aea026eaebe
    sudo:
      - sysctl fs.inotify.max_user_watches=524288 || true
      - chmod -R 777 /opt/android-sdk
      - curl -Lo node.tar.gz https://nodejs.org/dist/v18.15.0/node-v18.15.0-linux-x64.tar.gz
      - echo "b298a73a9fc07badfa9e4a2e86ed48824fc9201327cdc43e3f3f58b273c535e7 node.tar.gz"
        | sha256sum -c -
      - tar xzf node.tar.gz --strip-components=1 -C /usr/local/
      - npm install -g npm@latest
      - npm install -g cordova yarn
    output: platforms/android/app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - test
      - src/pages/donate
      - src/plugins/iap
    prebuild:
      - sed -i -e '/iap/d' package.json
      - sed -i -e '/iap.startConnection/,/Purchase error/c} catch (e) {' src/lib/main.js
      - sed -i -e '/Donate/d' src/settings/mainSettings.js
      - sed -i -e 's/acodefree/acode/' utils/config.js
      - sed -i -e 's/build/prepare/' utils/scripts/build.sh
      - sed -i -e '/core-google-shortcuts/d' src/plugins/system/plugin.xml
      - yarn setup
      - cordova plugin add cordova-plugin-file
      - cordova platform add android
      - rm node_modules/cordova-android/framework/cordova-publish.gradle
      - yarn build android free p
      - sdkmanager 'build-tools;31.0.0' 'build-tools;30.0.3'
      - cp $$SDK$$/build-tools/30.0.3/lib/dx.jar $$SDK$$/build-tools/31.0.0/lib/dx.jar
      - cp $$SDK$$/build-tools/30.0.3/dx $$SDK$$/build-tools/31.0.0/dx
    scandelete:
      - node_modules/jszip/.jekyll-metadata
    build: cordova compile android --release -- --packageType=apk

  - versionName: 1.8.5
    versionCode: 293
    commit: e2869a5ccf2e60e294f4603a80825588bd8ef000
    sudo:
      - sysctl fs.inotify.max_user_watches=524288 || true
      - chmod -R 777 /opt/android-sdk
      - curl -Lo node.tar.gz https://nodejs.org/dist/v18.16.1/node-v18.16.1-linux-x64.tar.gz
      - echo "59582f51570d0857de6333620323bdeee5ae36107318f86ce5eca24747cabf5b node.tar.gz"
        | sha256sum -c -
      - tar xzf node.tar.gz --strip-components=1 -C /usr/local/
      - npm install -g npm@latest
      - npm install -g cordova yarn
    output: platforms/android/app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - test
      - src/pages/donate
      - src/plugins/iap
    prebuild:
      - sed -i -e '/iap/d' package.json
      - sed -i -e '/iap.startConnection/,/Purchase error/c} catch (e) {' src/lib/main.js
      - sed -i -e '/Donate/d' src/settings/mainSettings.js
      - sed -i -e 's/acodefree/acode/' utils/config.js
      - sed -i -e 's/build/prepare/' utils/scripts/build.sh
      - sed -i -e '/core-google-shortcuts/d' src/plugins/system/plugin.xml
      - yarn setup
      - cordova plugin add cordova-plugin-file
      - cordova platform add android
      - rm node_modules/cordova-android/framework/cordova-publish.gradle
      - yarn build android free p
      - sdkmanager 'build-tools;31.0.0' 'build-tools;30.0.3'
      - cp $$SDK$$/build-tools/30.0.3/lib/dx.jar $$SDK$$/build-tools/31.0.0/lib/dx.jar
      - cp $$SDK$$/build-tools/30.0.3/dx $$SDK$$/build-tools/31.0.0/dx
    scandelete:
      - node_modules/jszip/.jekyll-metadata
    build: cordova compile android --release -- --packageType=apk

  - versionName: 1.8.5
    versionCode: 296
    commit: 187f50ee10ab77306d80500e4ab26b618784fe88
    sudo:
      - sysctl fs.inotify.max_user_watches=524288 || true
      - chmod -R 777 /opt/android-sdk
      - curl -Lo node.tar.gz https://nodejs.org/dist/v18.16.1/node-v18.16.1-linux-x64.tar.gz
      - echo "59582f51570d0857de6333620323bdeee5ae36107318f86ce5eca24747cabf5b node.tar.gz"
        | sha256sum -c -
      - tar xzf node.tar.gz --strip-components=1 -C /usr/local/
      - npm install -g npm@latest
      - npm install -g cordova yarn
    output: platforms/android/app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - src/pages/donate
      - src/plugins/iap
    prebuild:
      - sed -i -e '/iap/d' package.json
      - sed -i -e '/iap.startConnection/,/Purchase error/c} catch (e) {' src/lib/main.js
      - sed -i -e '/Donate/d' src/settings/mainSettings.js
      - sed -i -e 's/acodefree/acode/' utils/config.js
      - sed -i -e 's/build/prepare/' utils/scripts/build.sh
      - sed -i -e '/core-google-shortcuts/d' src/plugins/system/plugin.xml
      - yarn setup
      - cordova plugin add cordova-plugin-file
      - cordova platform add android
      - rm node_modules/cordova-android/framework/cordova-publish.gradle
      - yarn build android free p
      - sdkmanager 'build-tools;31.0.0' 'build-tools;30.0.3'
      - cp $$SDK$$/build-tools/30.0.3/lib/dx.jar $$SDK$$/build-tools/31.0.0/lib/dx.jar
      - cp $$SDK$$/build-tools/30.0.3/dx $$SDK$$/build-tools/31.0.0/dx
    scandelete:
      - node_modules/jszip/.jekyll-metadata
    build: cordova compile android --release -- --packageType=apk

  - versionName: 1.8.5
    versionCode: 303
    commit: 1b9d7018c5410998caa4e491e487534aaaa731aa
    sudo:
      - sysctl fs.inotify.max_user_watches=524288 || true
      - chmod -R 777 /opt/android-sdk
      - curl -Lo node.tar.gz https://nodejs.org/dist/v18.16.1/node-v18.16.1-linux-x64.tar.gz
      - echo "59582f51570d0857de6333620323bdeee5ae36107318f86ce5eca24747cabf5b node.tar.gz"
        | sha256sum -c -
      - tar xzf node.tar.gz --strip-components=1 -C /usr/local/
      - npm install -g npm@latest
      - npm install -g cordova yarn
    output: platforms/android/app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - src/pages/donate
      - src/plugins/iap
    prebuild:
      - sed -i -e '/iap/d' package.json
      - sed -i -e '/iap.startConnection/,/Purchase error/c} catch (e) {' src/lib/main.js
      - sed -i -e '/Donate/d' src/settings/mainSettings.js
      - sed -i -e 's/acodefree/acode/' utils/config.js
      - sed -i -e 's/build/prepare/' utils/scripts/build.sh
      - sed -i -e '/core-google-shortcuts/d' src/plugins/system/plugin.xml
      - yarn setup
      - cordova plugin add cordova-plugin-file
      - cordova platform add android
      - rm node_modules/cordova-android/framework/cordova-publish.gradle
      - yarn build android free p
      - sdkmanager 'build-tools;31.0.0' 'build-tools;30.0.3'
      - cp $$SDK$$/build-tools/30.0.3/lib/dx.jar $$SDK$$/build-tools/31.0.0/lib/dx.jar
      - cp $$SDK$$/build-tools/30.0.3/dx $$SDK$$/build-tools/31.0.0/dx
    scandelete:
      - node_modules/jszip/.jekyll-metadata
    build: cordova compile android --release -- --packageType=apk

  - versionName: 1.8.5
    versionCode: 304
    commit: 8a9f6d5cfd517c72f37bbbf6af65878f57dad929
    sudo:
      - sysctl fs.inotify.max_user_watches=524288 || true
      - chmod -R 777 /opt/android-sdk
      - curl -Lo node.tar.gz https://nodejs.org/dist/v18.16.1/node-v18.16.1-linux-x64.tar.gz
      - echo "59582f51570d0857de6333620323bdeee5ae36107318f86ce5eca24747cabf5b node.tar.gz"
        | sha256sum -c -
      - tar xzf node.tar.gz --strip-components=1 -C /usr/local/
      - npm install -g npm@latest
      - npm install -g cordova yarn
    output: platforms/android/app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - src/pages/donate
      - src/plugins/iap
    prebuild:
      - sed -i -e '/iap/d' package.json
      - sed -i -e '/iap.startConnection/,/Purchase error/c} catch (e) {' src/lib/main.js
      - sed -i -e '/Donate/d' src/settings/mainSettings.js
      - sed -i -e 's/acodefree/acode/' utils/config.js
      - sed -i -e 's/build/prepare/' utils/scripts/build.sh
      - sed -i -e '/core-google-shortcuts/d' src/plugins/system/plugin.xml
      - yarn setup
      - cordova plugin add cordova-plugin-file
      - cordova platform add android
      - rm node_modules/cordova-android/framework/cordova-publish.gradle
      - yarn build android free p
      - sdkmanager 'build-tools;31.0.0' 'build-tools;30.0.3'
      - cp $$SDK$$/build-tools/30.0.3/lib/dx.jar $$SDK$$/build-tools/31.0.0/lib/dx.jar
      - cp $$SDK$$/build-tools/30.0.3/dx $$SDK$$/build-tools/31.0.0/dx
    scandelete:
      - node_modules/jszip/.jekyll-metadata
    build: cordova compile android --release -- --packageType=apk

  - versionName: 1.8.6
    versionCode: 308
    commit: 36c343c7498a99d4d2e51ab65a9a4642f23f934a
    sudo:
      - sysctl fs.inotify.max_user_watches=524288 || true
      - chmod -R 777 /opt/android-sdk
      - curl -Lo node.tar.gz https://nodejs.org/dist/v18.17.1/node-v18.17.1-linux-x64.tar.gz
      - echo "2cb75f2bc04b0a3498733fbee779b2f76fe3f655188b4ac69ef2887b6721da2d node.tar.gz"
        | sha256sum -c -
      - tar xzf node.tar.gz --strip-components=1 -C /usr/local/
      - npm install -g npm@latest
      - npm install -g cordova yarn
    output: platforms/android/app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - src/pages/donate
      - src/plugins/iap
    prebuild:
      - sed -i -e '/iap/d' package.json
      - sed -i -e '/iap.startConnection/,/Purchase error/c} catch (e) {' src/lib/main.js
      - sed -i -e '/Donate/d' src/settings/mainSettings.js
      - sed -i -e 's/acodefree/acode/' utils/config.js
      - sed -i -e 's/build/prepare/' utils/scripts/build.sh
      - sed -i -e '/core-google-shortcuts/d' src/plugins/system/plugin.xml
      - yarn setup
      - cordova plugin add cordova-plugin-file
      - cordova platform add android
      - rm node_modules/cordova-android/framework/cordova-publish.gradle
      - yarn build android free p
      - sdkmanager 'build-tools;31.0.0' 'build-tools;30.0.3'
      - cp $$SDK$$/build-tools/30.0.3/lib/dx.jar $$SDK$$/build-tools/31.0.0/lib/dx.jar
      - cp $$SDK$$/build-tools/30.0.3/dx $$SDK$$/build-tools/31.0.0/dx
    scandelete:
      - node_modules/jszip/.jekyll-metadata
    build: cordova compile android --release -- --packageType=apk

  - versionName: 1.8.6
    versionCode: 311
    commit: 1fe5d8dd3154cfdeb4779eb1c19507a3779ebea4
    sudo:
      - sysctl fs.inotify.max_user_watches=524288 || true
      - chmod -R 777 /opt/android-sdk
      - curl -Lo node.tar.gz https://nodejs.org/dist/v18.17.1/node-v18.17.1-linux-x64.tar.gz
      - echo "2cb75f2bc04b0a3498733fbee779b2f76fe3f655188b4ac69ef2887b6721da2d node.tar.gz"
        | sha256sum -c -
      - tar xzf node.tar.gz --strip-components=1 -C /usr/local/
      - npm install -g npm@latest
      - npm install -g cordova yarn
    output: platforms/android/app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - src/pages/donate
      - src/plugins/iap
    prebuild:
      - sed -i -e '/iap/d' package.json
      - sed -i -e '/iap.startConnection/,/Purchase error/c} catch (e) {' src/lib/main.js
      - sed -i -e '/Donate/d' src/settings/mainSettings.js
      - sed -i -e 's/acodefree/acode/' utils/config.js
      - sed -i -e 's/build/prepare/' utils/scripts/build.sh
      - sed -i -e '/core-google-shortcuts/d' src/plugins/system/plugin.xml
      - yarn setup
      - cordova plugin add cordova-plugin-file
      - cordova platform add android
      - rm node_modules/cordova-android/framework/cordova-publish.gradle
      - yarn build android free p
      - sdkmanager 'build-tools;31.0.0' 'build-tools;30.0.3'
      - cp $$SDK$$/build-tools/30.0.3/lib/dx.jar $$SDK$$/build-tools/31.0.0/lib/dx.jar
      - cp $$SDK$$/build-tools/30.0.3/dx $$SDK$$/build-tools/31.0.0/dx
    scandelete:
      - node_modules/jszip/.jekyll-metadata
    build: cordova compile android --release -- --packageType=apk

  - versionName: 1.8.6
    versionCode: 312
    commit: bfa0769fe09eca34349ff6c34d41d2a1974efab9
    sudo:
      - sysctl fs.inotify.max_user_watches=524288 || true
      - chmod -R 777 /opt/android-sdk
      - curl -Lo node.tar.gz https://nodejs.org/dist/v18.17.1/node-v18.17.1-linux-x64.tar.gz
      - echo "2cb75f2bc04b0a3498733fbee779b2f76fe3f655188b4ac69ef2887b6721da2d node.tar.gz"
        | sha256sum -c -
      - tar xzf node.tar.gz --strip-components=1 -C /usr/local/
      - npm install -g npm@latest
      - npm install -g cordova yarn
    output: platforms/android/app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - src/pages/donate
      - src/plugins/iap
    prebuild:
      - sed -i -e '/iap/d' package.json
      - sed -i -e '/iap.startConnection/,/Purchase error/c} catch (e) {' src/lib/main.js
      - sed -i -e '/Donate/d' src/settings/mainSettings.js
      - sed -i -e 's/acodefree/acode/' utils/config.js
      - sed -i -e 's/build/prepare/' utils/scripts/build.sh
      - sed -i -e '/core-google-shortcuts/d' src/plugins/system/plugin.xml
      - yarn setup
      - cordova plugin add cordova-plugin-file
      - cordova platform add android
      - rm node_modules/cordova-android/framework/cordova-publish.gradle
      - yarn build android free p
      - sdkmanager 'build-tools;31.0.0' 'build-tools;30.0.3'
      - cp $$SDK$$/build-tools/30.0.3/lib/dx.jar $$SDK$$/build-tools/31.0.0/lib/dx.jar
      - cp $$SDK$$/build-tools/30.0.3/dx $$SDK$$/build-tools/31.0.0/dx
    scandelete:
      - node_modules/jszip/.jekyll-metadata
    build: cordova compile android --release -- --packageType=apk

  - versionName: 1.8.7
    versionCode: 314
    commit: d06b6d5e1738959cc5cf09451bd346c4de9c0c4c
    sudo:
      - sysctl fs.inotify.max_user_watches=524288 || true
      - chmod -R 777 /opt/android-sdk
      - curl -Lo node.tar.gz https://nodejs.org/dist/v18.17.1/node-v18.17.1-linux-x64.tar.gz
      - echo "2cb75f2bc04b0a3498733fbee779b2f76fe3f655188b4ac69ef2887b6721da2d node.tar.gz"
        | sha256sum -c -
      - tar xzf node.tar.gz --strip-components=1 -C /usr/local/
      - npm install -g npm@latest
      - npm install -g cordova yarn
    output: platforms/android/app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - src/pages/donate
      - src/plugins/iap
    prebuild:
      - sed -i -e '/iap/d' package.json
      - sed -i -e '/iap.startConnection/,/Purchase error/c} catch (e) {' src/lib/main.js
      - sed -i -e '/Donate/d' src/settings/mainSettings.js
      - sed -i -e 's/acodefree/acode/' utils/config.js
      - sed -i -e 's/build/prepare/' utils/scripts/build.sh
      - sed -i -e '/core-google-shortcuts/d' src/plugins/system/plugin.xml
      - yarn setup
      - cordova plugin add cordova-plugin-file
      - cordova platform add android
      - rm node_modules/cordova-android/framework/cordova-publish.gradle
      - yarn build android free p
      - sdkmanager 'build-tools;31.0.0' 'build-tools;30.0.3'
      - cp $$SDK$$/build-tools/30.0.3/lib/dx.jar $$SDK$$/build-tools/31.0.0/lib/dx.jar
      - cp $$SDK$$/build-tools/30.0.3/dx $$SDK$$/build-tools/31.0.0/dx
    scandelete:
      - node_modules/jszip/.jekyll-metadata
    build: cordova compile android --release -- --packageType=apk

  - versionName: 1.8.7
    versionCode: 316
    commit: a57016856f8493a1387db061d7891a6dbf37d3a0
    sudo:
      - sysctl fs.inotify.max_user_watches=524288 || true
      - chmod -R 777 /opt/android-sdk
      - curl -Lo node.tar.gz https://nodejs.org/dist/v18.18.0/node-v18.18.0-linux-x64.tar.gz
      - echo "8aae62b6b3a5d659459c35c51e4373b950d11595a273db16c6162c712c5533a2 node.tar.gz"
        | sha256sum -c -
      - tar xzf node.tar.gz --strip-components=1 -C /usr/local/
      - npm install -g npm@latest
      - npm install -g cordova yarn
    output: platforms/android/app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - src/pages/donate
      - src/plugins/iap
    prebuild:
      - sed -i -e '/iap/d' package.json
      - sed -i -e '/iap.startConnection/,/Purchase error/c} catch (e) {' src/lib/main.js
      - sed -i -e '/Donate/d' src/settings/mainSettings.js
      - sed -i -e 's/acodefree/acode/' utils/config.js
      - sed -i -e 's/build/prepare/' utils/scripts/build.sh
      - sed -i -e '/core-google-shortcuts/d' src/plugins/system/plugin.xml
      - yarn setup
      - cordova plugin add cordova-plugin-file
      - cordova platform add android
      - rm node_modules/cordova-android/framework/cordova-publish.gradle
      - yarn build android free p
      - sdkmanager 'build-tools;31.0.0' 'build-tools;30.0.3'
      - cp $$SDK$$/build-tools/30.0.3/lib/dx.jar $$SDK$$/build-tools/31.0.0/lib/dx.jar
      - cp $$SDK$$/build-tools/30.0.3/dx $$SDK$$/build-tools/31.0.0/dx
    scandelete:
      - node_modules/jszip/.jekyll-metadata
    build: cordova compile android --release -- --packageType=apk

  - versionName: 1.8.7
    versionCode: 318
    commit: 82fb937026ed4afa4a560aac0366c1674209889b
    sudo:
      - sysctl fs.inotify.max_user_watches=524288 || true
      - chmod -R 777 /opt/android-sdk
      - curl -Lo node.tar.gz https://nodejs.org/dist/v18.18.0/node-v18.18.0-linux-x64.tar.gz
      - echo "8aae62b6b3a5d659459c35c51e4373b950d11595a273db16c6162c712c5533a2 node.tar.gz"
        | sha256sum -c -
      - tar xzf node.tar.gz --strip-components=1 -C /usr/local/
      - npm install -g npm@latest
      - npm install -g cordova yarn
    output: platforms/android/app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - src/pages/donate
      - src/plugins/iap
    prebuild:
      - sed -i -e '/iap/d' package.json
      - sed -i -e '/iap.startConnection/,/Purchase error/c} catch (e) {' src/lib/main.js
      - sed -i -e '/Donate/d' src/settings/mainSettings.js
      - sed -i -e 's/acodefree/acode/' utils/config.js
      - sed -i -e 's/build/prepare/' utils/scripts/build.sh
      - sed -i -e '/core-google-shortcuts/d' src/plugins/system/plugin.xml
      - yarn setup
      - cordova plugin add cordova-plugin-file
      - cordova platform add android
      - rm node_modules/cordova-android/framework/cordova-publish.gradle
      - yarn build android free p
      - sdkmanager 'build-tools;31.0.0' 'build-tools;30.0.3'
      - cp $$SDK$$/build-tools/30.0.3/lib/dx.jar $$SDK$$/build-tools/31.0.0/lib/dx.jar
      - cp $$SDK$$/build-tools/30.0.3/dx $$SDK$$/build-tools/31.0.0/dx
    scandelete:
      - node_modules/jszip/.jekyll-metadata
    build: cordova compile android --release -- --packageType=apk

  - versionName: 1.8.7
    versionCode: 320
    commit: b431c3a7cf07dfefac06ca23d8067191f8ae02de
    sudo:
      - sysctl fs.inotify.max_user_watches=524288 || true
      - chmod -R 777 /opt/android-sdk
      - curl -Lo node.tar.gz https://nodejs.org/dist/v18.18.0/node-v18.18.0-linux-x64.tar.gz
      - echo "8aae62b6b3a5d659459c35c51e4373b950d11595a273db16c6162c712c5533a2 node.tar.gz"
        | sha256sum -c -
      - tar xzf node.tar.gz --strip-components=1 -C /usr/local/
      - npm install -g npm@latest
      - npm install -g cordova yarn
    output: platforms/android/app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - src/pages/donate
      - src/plugins/iap
    prebuild:
      - sed -i -e '/iap/d' package.json
      - sed -i -e '/iap.startConnection/,/Purchase error/c} catch (e) {' src/lib/main.js
      - sed -i -e '/Donate/d' src/settings/mainSettings.js
      - sed -i -e 's/acodefree/acode/' utils/config.js
      - sed -i -e 's/build/prepare/' utils/scripts/build.sh
      - sed -i -e '/core-google-shortcuts/d' src/plugins/system/plugin.xml
      - yarn setup
      - cordova plugin add cordova-plugin-file
      - cordova platform add android
      - rm node_modules/cordova-android/framework/cordova-publish.gradle
      - yarn build android free p
      - sdkmanager 'build-tools;31.0.0' 'build-tools;30.0.3'
      - cp $$SDK$$/build-tools/30.0.3/lib/dx.jar $$SDK$$/build-tools/31.0.0/lib/dx.jar
      - cp $$SDK$$/build-tools/30.0.3/dx $$SDK$$/build-tools/31.0.0/dx
    scandelete:
      - node_modules/jszip/.jekyll-metadata
    build: cordova compile android --release -- --packageType=apk

  - versionName: 1.8.7
    versionCode: 322
    commit: 59733ee61586452122e1f7b975a5a8be34212004
    sudo:
      - sysctl fs.inotify.max_user_watches=524288 || true
      - chmod -R 777 /opt/android-sdk
      - curl -Lo node.tar.gz https://nodejs.org/dist/v18.18.0/node-v18.18.0-linux-x64.tar.gz
      - echo "8aae62b6b3a5d659459c35c51e4373b950d11595a273db16c6162c712c5533a2 node.tar.gz"
        | sha256sum -c -
      - tar xzf node.tar.gz --strip-components=1 -C /usr/local/
      - npm install -g npm@latest
      - npm install -g cordova yarn
    output: platforms/android/app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - src/pages/donate
      - src/plugins/iap
    prebuild:
      - sed -i -e '/iap/d' package.json
      - sed -i -e '/iap.startConnection/,/Purchase error/c} catch (e) {' src/lib/main.js
      - sed -i -e '/Donate/d' src/settings/mainSettings.js
      - sed -i -e 's/acodefree/acode/' utils/config.js
      - sed -i -e 's/build/prepare/' utils/scripts/build.sh
      - sed -i -e '/core-google-shortcuts/d' src/plugins/system/plugin.xml
      - yarn setup
      - cordova plugin add cordova-plugin-file
      - rm node_modules/cordova-android/framework/cordova-publish.gradle
      - yarn build android free p
      - sdkmanager 'build-tools;31.0.0' 'build-tools;30.0.3'
      - cp $$SDK$$/build-tools/30.0.3/lib/dx.jar $$SDK$$/build-tools/31.0.0/lib/dx.jar
      - cp $$SDK$$/build-tools/30.0.3/dx $$SDK$$/build-tools/31.0.0/dx
    scandelete:
      - node_modules/jszip/.jekyll-metadata
    build: cordova compile android --release -- --packageType=apk

  - versionName: 1.8.7
    versionCode: 323
    commit: 551a2c546d3071cd61d53a26325b382cde0bf6b4
    sudo:
      - sysctl fs.inotify.max_user_watches=524288 || true
      - chmod -R 777 /opt/android-sdk
      - curl -Lo node.tar.gz https://nodejs.org/dist/v18.18.0/node-v18.18.0-linux-x64.tar.gz
      - echo "8aae62b6b3a5d659459c35c51e4373b950d11595a273db16c6162c712c5533a2 node.tar.gz"
        | sha256sum -c -
      - tar xzf node.tar.gz --strip-components=1 -C /usr/local/
      - npm install -g npm@latest
      - npm install -g cordova yarn
    output: platforms/android/app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - src/pages/donate
      - src/plugins/iap
    prebuild:
      - sed -i -e '/iap/d' package.json
      - sed -i -e '/iap.startConnection/,/Purchase error/c} catch (e) {' src/lib/main.js
      - sed -i -e '/Donate/d' src/settings/mainSettings.js
      - sed -i -e 's/acodefree/acode/' utils/config.js
      - sed -i -e 's/build/prepare/' utils/scripts/build.sh
      - sed -i -e '/core-google-shortcuts/d' src/plugins/system/plugin.xml
      - yarn setup
      - cordova plugin add cordova-plugin-file
      - rm node_modules/cordova-android/framework/cordova-publish.gradle
      - yarn build android free p
      - sdkmanager 'build-tools;31.0.0' 'build-tools;30.0.3'
      - cp $$SDK$$/build-tools/30.0.3/lib/dx.jar $$SDK$$/build-tools/31.0.0/lib/dx.jar
      - cp $$SDK$$/build-tools/30.0.3/dx $$SDK$$/build-tools/31.0.0/dx
    scandelete:
      - node_modules/jszip/.jekyll-metadata
    build: cordova compile android --release -- --packageType=apk

AutoUpdateMode: None
UpdateCheckMode: HTTP
UpdateCheckData: https://raw.githubusercontent.com/deadlyjack/Acode/main/config.xml|android-versionCode="(\d+)"|.|version="([\d.]+)"
CurrentVersion: 1.8.7
CurrentVersionCode: 330
